import { SYSTEM } from "../config/system.mjs"
import { booleanField, htmlField, numberField, stringField } from "./shared.mjs"

export default class MGNEWeapon extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    return {
      description: htmlField(""),
      category: new foundry.data.fields.StringField({
        required: true,
        nullable: false,
        initial: "melee",
        choices: SYSTEM.weaponCategories,
      }),
      damage: stringField("1d4"),
      range: stringField("Touch"),
      properties: stringField(""),
      usageDie: new foundry.data.fields.StringField({
        required: true,
        nullable: false,
        initial: "d6",
        choices: SYSTEM.usageDieChoices,
      }),
      quantity: numberField(1, 0),
      equipped: booleanField(false),
      broken: booleanField(false),
    }
  }

  /** @override */
  static LOCALIZATION_PREFIXES = ["MGNE.Weapon"]
}
